VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Functions
VSTGUI::String Namespace Reference

## Functions
UTF8StringBuffer | newWithString (UTF8StringPtr string)
void | free (UTF8StringBuffer buffer)

## Function Documentation

## ◆ free()

void free | ( | UTF8StringBuffer | buffer | ) |

Deprecated
  Frees an UTF8StringBuffer. If buffer is a nullptr it does nothing.

## ◆ newWithString()

UTF8StringBuffer newWithString | ( | UTF8StringPtr | string | ) |

Deprecated
  Allocates a new UTF8StringBuffer with enough size for string and copy the string into it. Returns nullptr if string is a nullptr.